Appearance
Get conditional order status by order ID
GET
/v1/orders/conditionals/conditional/{currencyPair}/orderid/{orderId}
Get the conditional order status.
A customerOrderId field will be returned in the response for all those orders that were created with a customerOrderId field.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
currencyPair*
A valid currency pair (e.g., BTCUSDTPERP for futures, BTCZAR for spot)
Type
Requiredstring
orderId*
The order ID provided by VALR
Type
Requiredstring
Responses
Conditional order status retrieved successfully
application/json
JSON
{
"orderId": "e281eb8e-c315-4372-a7b6-8c5e5f5eb971",
"triggerOrderSide": "sell",
"triggerOrderType": "limit-reduce-only",
"currencyPair": "AVAXUSDTPERP",
"createdAt": "2024-10-12T03:08:19.060Z",
"updatedAt": "2024-10-12T03:08:19.060Z",
"triggerType": "LAST_TRADED",
"conditionalType": "OT_OCO",
"customerOrderId": "ConditionalByLastTraded",
"orderStatusType": "Placed",
"quantity": "0.2",
"takeProfitTriggerPrice": "44.74",
"takeProfitPlacePrice": "44.8",
"stopLossTriggerPrice": "30.1",
"stopLossPlacePrice": "44.8",
"linkedOrderId": "5b5ca343-2063-40dd-9c31-840dc72a5aab"
}